summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-26 23:13:35 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-27 07:29:16 +0700
commit04b54384f7b4d757eb6e4378bac383b8934ff82f (patch)
tree5de7246c97162ca852859e679605f34dddfd6c9b
parent19add99ee593a76f2df891e61514d3d589fe4099 (diff)
downloadslackbuilds-04b54384f7b4d757eb6e4378bac383b8934ff82f.tar.gz
system/pass: Added (password store manager).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/pass/README13
-rw-r--r--system/pass/pass.SlackBuild78
-rw-r--r--system/pass/pass.info10
-rw-r--r--system/pass/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/system/pass/README b/system/pass/README
new file mode 100644
index 0000000000..71b837749f
--- /dev/null
+++ b/system/pass/README
@@ -0,0 +1,13 @@
+pass is a very simple password store that keeps passwords inside gpg2
+encrypted files inside a simple directory tree residing at
+~/.password-store.
+
+The pass utility provides a series of commands for manipulating the password
+store, allowing the user to add, remove, edit, synchronize, generate, and
+manipulate passwords.
+
+This script also include user-contributed scripts to help on migrating from
+third-party applications.
+
+Note:
+Optional dependency: dmenu (passmenu support)
diff --git a/system/pass/pass.SlackBuild b/system/pass/pass.SlackBuild
new file mode 100644
index 0000000000..20326cc2a0
--- /dev/null
+++ b/system/pass/pass.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for pass
+
+# Copyright 2017 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pass
+SRCNAM=password-store
+VERSION=${VERSION:-1.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Extensions is hard-coded to /usr/lib/password-store/extensions
+PREFIX=/usr LIBDIR=/usr/lib MANDIR=/usr/man DESTDIR=$PKG make
+PREFIX=/usr LIBDIR=/usr/lib MANDIR=/usr/man DESTDIR=$PKG make install
+
+cp contrib/importers/* $PKG/usr/bin/
+
+# Check for dmenu
+if [ -e /usr/bin/dmenu ]; then
+ cp contrib/dmenu/passmenu $PKG/usr/bin/
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pass/pass.info b/system/pass/pass.info
new file mode 100644
index 0000000000..e6f42cf6bd
--- /dev/null
+++ b/system/pass/pass.info
@@ -0,0 +1,10 @@
+PRGNAM="pass"
+VERSION="1.7.1"
+HOMEPAGE="https://www.passwordstore.org/"
+DOWNLOAD="https://git.zx2c4.com/password-store/snapshot/password-store-1.7.1.tar.xz"
+MD5SUM="44f735d7d6c1664d87ee0ec7338af43a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xclip"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/system/pass/slack-desc b/system/pass/slack-desc
new file mode 100644
index 0000000000..4714447a2f
--- /dev/null
+++ b/system/pass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pass: pass (password store manager)
+pass:
+pass: pass is a very simple password store that keeps passwords inside gpg2
+pass: encrypted files inside a simple directory tree residing at
+pass: ~/.password-store.
+pass:
+pass: The pass utility provides a series of commands for manipulating the
+pass: password store, allowing the user to add, remove, edit, synchronize,
+pass: generate, and manipulate passwords.
+pass:
+pass: Project URL: https://www.passwordstore.org/